/*DDL naredbe */

create database VideoKlub1;

use VideoKlub1;

create table clan 
(
brclkarte integer not null, 
prezime varchar(30) not null,
ime varchar(30) not null,
jmbg char(13) not null,
adresaboravka varchar(30) not null,
mestoboravka varchar(20) not null,
telefon varchar(20) null,
constraint pkclan primary key (brclkarte),
constraint akclan unique (jmbg)
);

create table radnik 
(
sifra smallint not null, 
prezime varchar(20) not null,
ime varchar(20) not null,
constraint pkradnik primary key (sifra)
);

create table film
(
invbroj integer not null,
naziv varchar(30) not null,
godinasnimljen integer not null, 
trajanje integer null, 
zanr nvarchar(30) not null,
constraint pkfilm primary key (invbroj)
);

create table izdaje
(
invbroj integer not null,
brclkarte integer not null,
sifra smallint not null,
cena integer not null,
datumizdavanja datetime not null,
datumvracanja datetime null,
constraint pkizdaje primary key (invbroj, brclkarte)
);

/*DDL izmene  */
alter table izdaje
modify cena integer default 200;
 
alter table izdaje
add constraint fkizdajefilm foreign key (invbroj) 
references film(invbroj)
on delete no action
on update cascade;

alter table izdaje
add constraint fkizdajeradnik foreign key (sifra) 
references radnik(sifra)
on delete no action
on update cascade;

alter table izdaje
add constraint fkizdajeclan foreign key (brclkarte) 
references clan(brclkarte)
on delete no action
on update cascade;

-- DML naredbe ---

insert into radnik
values (1, 'Marko', 'Markovic');

insert into radnik
values (2, 'Sima', 'Simic');

insert into film
values (1, 'Firewall', 2006, 100, 'Triler');

insert into clan
values (1, 'Petrovic', 'Petar', '0110985850031', 
'Beogradska 142c', 'Nis', '064/123456');

insert into izdaje
values (1, 1, 1, 200, '2018-1-10', null);

update izdaje
set datumvracanja='2018-1-12', sifra=2
where invbroj=1 and brclkarte=1 and datumizdavanja='2018-1-10';

select * from film;
select * from radnik;
select * from clan;
select * from izdaje;

delete from film 
where (invbroj=1 and naziv='Firewall');
